#include <iostream>
#include <string>

using namespace std;

int main(){
    string a;
    cin>>a;
    int s1=0,s2=0,m;
    int n=a.find_last_of(a[0]);
    for (int i=1;i<n+1;i++){
        if (a[i]!=a[0]){
            s1++;
            if (s1==1){
                m=i;
            }
        }
    }
    for (int i=m;i<a.length();i++){
        if (a[i]==a[0]){
        s2++;
        }
    }
    cout<<min(s1,s2);
}